export interface SnackbarOptions {
    darkMode: boolean;
}
export interface SnackbarItemProps {
    message?: string;
    showProgressBar?: boolean;
    actions?: SnackbarItemAction[];
}
export interface SnackbarItemAction {
    info: string;
    buttonLabel: string;
    onClick: () => void;
}
export declare class Snackbar {
    private readonly darkMode;
    private readonly items;
    private nextItemKey;
    private root;
    constructor(options: Readonly<SnackbarOptions>);
    attach(el: Element): void;
    presentItem(itemProps: SnackbarItemProps): () => void;
    clear(): void;
    private render;
}
